Bug 50531 - internet-druid Device Type descriptions are brain-dead
internet-druid Device Type descriptions are brain-dead
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-31 18:34 EDT by Panic
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 15:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panic 2001-07-31 18:34:47 EDT
Description of Problem:

"Create a new ISDN connection.  The ISDN interface is used primarily for
connecting to an ISP over a ISDN."

"Create a new Modem connection.  The dialup interface is used primarily for
connecting to an ISP over a modem."

"Create a new xDSL connection.  The xDSL connection is used primarily for
connecting to an ISP over a ethernet."

Surely with all the brain power in this company we can come up with
something a little better than that. It's embarassing -- nothing would be
better.

How Reproducible:

Always.

Steps to Reproduce:
1. run internet druid.
2. view those amazing descriptions.
3. profit.

Actual Results:

Offended by our Device Type descriptions

Expected Results:

Something approaching useful information, or nothing at all.

Additional Information:
Comment 1 Ngo Than 2001-08-06 05:51:23 EDT
What would you like them to be?
Comment 2 Phil Knirsch 2001-08-06 10:16:31 EDT
Trond, could you ask some of the native speakers or technical writers how these
sentences should look like?

Thanks,

Read ya, Phil
Comment 3 Panic 2001-08-06 15:49:38 EDT
"Create a new ISDN connection.  This is a connection that uses an Integrated
Services Digital Network line to dial into to your Internet Service Provider. 
This type of technology requires a special phone line to be installed by your
telephone company. It also requires a device known as a Terminal Adapter(TA) to
terminate the ISDN connection from your ISP.  This type of connection is popular
in Europe and several other technologically advanced regions.  It is available
but uncommon in the USA.  Speeds range from 64kbps to 128kbps."

"Create a new Modem connection.  This is a connection that uses a serial analog
modem to dial into to your Internet Service Provider.  These modems use sound
over a normal copper telephone line to transmit data.  These types of
connections are available just about anywhere in the world where there is a
phone system.  Speeds range from 14.4kbps to 50kbps."

"Create an xDSL connection.  This is a connection that uses one of several types
of broadband connections collective known as Digital Subscriber Lines.  This
list includes ADSL (Asymmetric, faster downloads than uploads), IDSL(over an
ISDN line for distance), SDSL (Symmetric, downloads and uploads at the same
speed), and several others.  These types of connections are common in the United
States, and are gaining acceptance elsewhere.  Speeds vary according to the
technology used, but generally range from 144kbps to 1.0Mbps."


That's a start -- don't know if we could meet the translation deadline, though,
and someone more qualified to write this stuff translation-friendly should look
at it.  Alternatively, remove the descriptions altogether.

Now that I look at this, do we have any arrangements for PPPoE xDSL, PPPoE cable
modems, or cable modems in general?  Does this tool handle those situations?
Comment 4 Trond Eivind Glomsrxd 2001-08-22 12:18:44 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.